<?xml version="1.0" encoding="UTF-8"?>
<!-- March 14, 2007 -->
<wsdl:definitions
   name="message_broadcast_send_interface"
   targetNamespace="http://www.csapi.org/wsdl/parlayx/message_broadcast/send/v4_0/interface"
   xmlns="http://schemas.xmlsoap.org/wsdl/"
   xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
   xmlns:xsd="http://www.w3.org/2001/XMLSchema"
   xmlns:message_broadcast_send="http://www.csapi.org/wsdl/parlayx/message_broadcast/send/v4_0/interface"
   xmlns:parlayx_common_faults="http://www.csapi.org/wsdl/parlayx/common/v4_0/faults"
   xmlns:message_broadcast_xsd="http://www.csapi.org/schema/parlayx/message_broadcast/v4_0"
   xmlns:parlayx_common_xsd="http://www.csapi.org/schema/parlayx/common/v4_0"
   xmlns:message_broadcast_send_local_xsd="http://www.csapi.org/schema/parlayx/message_broadcast/send/v4_0/local">

   <wsdl:import namespace="http://www.csapi.org/wsdl/parlayx/common/v4_0/faults" location="parlayx_common_faults_4_0.wsdl"/>

   <wsdl:types>
      <xsd:schema elementFormDefault="qualified" xmlns:xsd="http://www.w3.org/2001/XMLSchema" targetNamespace="http://www.csapi.org/schema/parlayx/message_broadcast/send/v4_0/local">
         <xsd:import namespace="http://www.csapi.org/schema/parlayx/message_broadcast/v4_0" schemaLocation="parlayx_message_broadcast_types_4_0.xsd"/>
         <xsd:import namespace="http://www.csapi.org/schema/parlayx/common/v4_0" schemaLocation="parlayx_common_types_4_0.xsd"/>

         <xsd:element name="sendBroadcastMessage" type="message_broadcast_send_local_xsd:sendBroadcastMessage"/>
         <xsd:complexType name="sendBroadcastMessage">
            <xsd:sequence>
               <xsd:element name="broadcastArea" type="message_broadcast_xsd:BroadcastArea" minOccurs="1" maxOccurs="unbounded"/>
               <xsd:element name="senderName" type="xsd:string" minOccurs="0" maxOccurs="1"/>
               <xsd:element name="charging" type="parlayx_common_xsd:ChargingInformation" minOccurs="0" maxOccurs="1"/>
               <xsd:element name="message" type="xsd:string"/>
               <xsd:element name="priority" type="message_broadcast_xsd:MessagePriority" minOccurs="0" maxOccurs="1"/>
               <xsd:element name="deliveryTime" type="xsd:dateTime" minOccurs="0" maxOccurs="1"/>
               <xsd:element name="totalBroadcasts" type="xsd:int" minOccurs="0" maxOccurs="1"/>
               <xsd:element name="interval" type="parlayx_common_xsd:TimeMetric" minOccurs="0" maxOccurs="1"/>
               <xsd:element name="receiptRequest" type="parlayx_common_xsd:SimpleReference" minOccurs="0" maxOccurs="1"/>
            </xsd:sequence>
         </xsd:complexType>

         <xsd:element name="sendBroadcastMessageResponse" type="message_broadcast_send_local_xsd:sendBroadcastMessageResponse"/>
         <xsd:complexType name="sendBroadcastMessageResponse">
            <xsd:sequence>
               <xsd:element name="result" type="xsd:string"/>
            </xsd:sequence>
         </xsd:complexType>

         <xsd:element name="getBroadcastStatus" type="message_broadcast_send_local_xsd:getBroadcastStatus"/>
         <xsd:complexType name="getBroadcastStatus">
            <xsd:sequence>
               <xsd:element name="requestIdentifier" type="xsd:string"/>
            </xsd:sequence>
         </xsd:complexType>

         <xsd:element name="getBroadcastStatusResponse" type="message_broadcast_send_local_xsd:getBroadcastStatusResponse"/>
         <xsd:complexType name="getBroadcastStatusResponse">
            <xsd:sequence>
               <xsd:element name="result" type="message_broadcast_xsd:BroadcastStatusData" minOccurs="1" maxOccurs="unbounded"/>
            </xsd:sequence>
         </xsd:complexType>

         <xsd:element name="cancelBroadcastMessage" type="message_broadcast_send_local_xsd:cancelBroadcastMessage"/>
         <xsd:complexType name="cancelBroadcastMessage">
            <xsd:sequence>
               <xsd:element name="requestIdentifier" type="xsd:string"/>
            </xsd:sequence>
         </xsd:complexType>

         <xsd:element name="cancelBroadcastMessageResponse" type="message_broadcast_send_local_xsd:cancelBroadcastMessageResponse"/>
         <xsd:complexType name="cancelBroadcastMessageResponse">
            <xsd:sequence/>
         </xsd:complexType>
      </xsd:schema>
   </wsdl:types>

   <wsdl:message name="SendBroadcastMessage_sendBroadcastMessageRequest">
      <wsdl:part name="parameters" element="message_broadcast_send_local_xsd:sendBroadcastMessage"/>
   </wsdl:message>

   <wsdl:message name="SendBroadcastMessage_sendBroadcastMessageResponse">
      <wsdl:part name="result" element="message_broadcast_send_local_xsd:sendBroadcastMessageResponse"/>
   </wsdl:message>

   <wsdl:message name="SendBroadcastMessage_getBroadcastStatusRequest">
      <wsdl:part name="parameters" element="message_broadcast_send_local_xsd:getBroadcastStatus"/>
   </wsdl:message>

   <wsdl:message name="SendBroadcastMessage_getBroadcastStatusResponse">
      <wsdl:part name="result" element="message_broadcast_send_local_xsd:getBroadcastStatusResponse"/>
   </wsdl:message>

   <wsdl:message name="SendBroadcastMessage_cancelBroadcastMessageRequest">
      <wsdl:part name="parameters" element="message_broadcast_send_local_xsd:cancelBroadcastMessage"/>
   </wsdl:message>

   <wsdl:message name="SendBroadcastMessage_cancelBroadcastMessageResponse">
      <wsdl:part name="result" element="message_broadcast_send_local_xsd:cancelBroadcastMessageResponse"/>
   </wsdl:message>

   <wsdl:portType name="SendBroadcastMessage">
      <wsdl:operation name="sendBroadcastMessage">
         <wsdl:input message="message_broadcast_send:SendBroadcastMessage_sendBroadcastMessageRequest"/>
         <wsdl:output message="message_broadcast_send:SendBroadcastMessage_sendBroadcastMessageResponse"/>
         <wsdl:fault name="ServiceException" message="parlayx_common_faults:ServiceException"/>
         <wsdl:fault name="PolicyException" message="parlayx_common_faults:PolicyException"/>
      </wsdl:operation>

      <wsdl:operation name="getBroadcastStatus">
         <wsdl:input message="message_broadcast_send:SendBroadcastMessage_getBroadcastStatusRequest"/>
         <wsdl:output message="message_broadcast_send:SendBroadcastMessage_getBroadcastStatusResponse"/>
         <wsdl:fault name="ServiceException" message="parlayx_common_faults:ServiceException"/>
         <wsdl:fault name="PolicyException" message="parlayx_common_faults:PolicyException"/>
      </wsdl:operation>

      <wsdl:operation name="cancelBroadcastMessage">
         <wsdl:input message="message_broadcast_send:SendBroadcastMessage_cancelBroadcastMessageRequest"/>
         <wsdl:output message="message_broadcast_send:SendBroadcastMessage_cancelBroadcastMessageResponse"/>
         <wsdl:fault name="ServiceException" message="parlayx_common_faults:ServiceException"/>
         <wsdl:fault name="PolicyException" message="parlayx_common_faults:PolicyException"/>
      </wsdl:operation>
   </wsdl:portType>
</wsdl:definitions>
